Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class AbstractNode.LineageIterator

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.AbstractNode.LineageIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  AbstractNode

     class AbstractNode.LineageIterator

extends java.lang.Object
implements java.util.Iterator

An Iterator of the ancestor nodes of the current node(not included) returns the most recent ancestor last.

Field Summary
`private int` | `index`
`private java.util.ArrayList` | `lineage`
`private java.lang.Object` | `onDeck`

Constructor Summary
`AbstractNode.LineageIterator()`

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lineage

    private java.util.ArrayList lineage

### onDeck

    private java.lang.Object onDeck

### index

    private int index

Constructor Detail

### AbstractNode.LineageIterator

    public AbstractNode.LineageIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD